Microsoft Management Console

Microsoft Management Console (MMC) hosts administrative tools that you can use to administer networks, computers, services, and other system components.

  • For help with specific tasks, see How To.
  • For general background information, see Concepts.
  • For information about accessibility features, see Accessibility for MMC.
  • For problem-solving instructions, see Troubleshooting MMC.


How to...

  • Open MMC and saved console files
  • Author an MMC console file
  • Modify a saved MMC console file
  • Work with MMC and saved console files
  • Set policies for MMC and snap-ins


Open MMC and saved console files

  • Open MMC
  • Open a saved MMC console for a local computer
  • Open a saved MMC console for a remote computer
  • Create a desktop shortcut to open MMC


Open MMC

To open MMC

  • Do one of the following:
    • Click Start, click Run, type mmc, and then click OK.
    • At the command prompt, type mmc, and then press ENTER.

The complete command-line syntax for MMC is:

mmc path\filename.msc [/a] [/64] [/32]

path\filename.msc

Starts MMC and opens a saved console. You need to specify the complete path and file name for the saved console file. If you do not specify a console file, MMC opens a new console.

You can use environment variables to create command lines or shortcuts that do not depend on the explicit location of console files. For instance, if the path to a console file is in the system folder (for example, mmc c:\windows\system32\console_name.msc), you can use the expandable data string %systemroot% to specify the location (mmc %systemroot%\system32\console_name.msc). This may be useful if you are delegating tasks to people in your organization who are working on different computers.

/a

Opens a saved console in author mode. Used to make changes to saved consoles. When consoles are opened with this option, they are opened in author mode, regardless of their default mode. This does not permanently change the default mode setting for files; when you omit this option, MMC opens console files according to their default mode settings.

/64

Opens the 64-bit version of MMC (MMC64). Use this option only if you are running a Microsoft 64-bit operating system. For more information, see Running 32-bit and 64-bit snap-ins in Win64.

/32

Opens the 32-bit version of MMC (MMC32). When running a Microsoft 64-bit operating system, you can run 32-bit snap-ins by opening MMC with this command-line option. For more information, see Running 32-bit and 64-bit snap-ins in Win64.

Notes

  • After you open MMC or a console file in author mode, you can open any existing console by clicking Open on the File menu.
  • You can use the command line to create shortcuts for opening MMC and saved consoles. A command-line command works with the Run command on the Start menu, in any command-prompt window, in shortcuts, or in any batch file or program that calls the command.
  • 32-bit is the default.

Related Topics


Open a saved MMC console for a local computer

To open a saved MMC console for a local computer

  1. If you are using Windows XP Professional or Windows XP Home Edition, click here for instructions:
  • Click Start,
  • Click Control Panel,
  • Click Administrative Tools,
  • Click console.

Notes

  • Other options for opening consoles:
    • You can also open console files by using Run As. With this command, you can log on to your computer with user rights to perform routine tasks, but open console files to perform administrative tasks with Administrator rights as necessary. You can use this command by typing runas at the command prompt or by right-clicking an .msc file, and then clicking Run As.
    • Open the folder where your console is located, and then click the console.
    • If you are using Windows 2000, click here for instructions:
  • Click Start,
  • Click Settings,
  • Click Control Panel,
  • Click Administrative Tools,
  • Click console.
  • By default, console files are not available from the Administrative Tools folder on the Programs menu. However, if you create a custom console and save it to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), this folder appears on the Programs menu for that user.

Related Topics


Open a saved MMC console for a remote computer

To open a saved MMC console for a remote computer

  1. If you are using Windows XP Professional or Windows XP Home Edition, click here for instructions:
  • Click Start,
  • Click Control Panel,
  • Click Administrative Tools,
  • Click console.

Notes

  • Other options for opening consoles:
    • You can also open console files by using Run As. With this command, you can log on to your computer with user rights to perform routine tasks, but open console files to perform administrative tasks with Administrator rights as necessary. You can use this command by typing runas at the command prompt or by right-clicking an .msc file, and then clicking Run As.
    • Open the folder where your console is located, and then click the console.
    • If you are using Windows 2000, click here for instructions:
    • Click Start,
    • Click Settings,
    • Click Control Panel,
    • Click Administrative Tools,
    • Click console.
  • By default, console files are not available from the Administrative Tools folder on the Programs menu. However, if you create a custom console and save it to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), this folder appears on the Programs menu for that user.

Related Topics


Create a desktop shortcut to open MMC

To create a desktop shortcut to open MMC

  1. Right-click an open area on the desktop, point to New, and then click Shortcut.
  2. Follow the instructions on the screen. A shortcut will appear on the desktop.

Note

  • You can drag a shortcut that you create on the desktop to other folders in the operating system, such as the folder where you keep your .msc files or the folder for the Start menu.
  • You can also create a shortcut to MMC in folders by using Windows Explorer. To do so, click the folder where you want the shortcut, and on the File menu, point to New, click Shortcut, and then follow the instructions on the screen.

Related Topics


MMC Command Line Options

Opens MMC. Using MMC command-line options, you can open a specific MMC console, open MMC in author mode, or specify that the 32-bit or 64-bit version of MMC is opened.

Syntax

mmc path\filename.msc [/a] [/64] [/32]

Parameters

path\filename.msc
Starts MMC and opens a saved console. You need to specify the complete path and file name for the saved console file. If you do not specify a console file, MMC opens a new console.
/a
Opens a saved console in author mode. Used to make changes to saved consoles.
/64
Opens the 64-bit version of MMC (MMC64). Use this option only if you are running a Microsoft 64-bit operating system.
/32
Opens the 32-bit version of MMC (MMC32). When running a Microsoft 64-bit operating system, you can run 32-bit snap-ins by opening MMC with this command-line option.
/?
Displays help at the command prompt.

Remarks

  • Using the path\filename.msc command-line option

    You can use environment variables to create command lines or shortcuts that do not depend on the explicit location of console files. For instance, if the path to a console file is in the system folder (for example, mmc c:\winnt\system32\console_name.msc), you can use the expandable data string %systemroot% to specify the location (mmc %systemroot%\system32\console_name.msc). This may be useful if you are delegating tasks to people in your organization who are working on different computers.

  • Using the /a command-line option

    When consoles are opened with this option, they are opened in author mode, regardless of their default mode. This does not permanently change the default mode setting for files; when you omit this option, MMC opens console files according to their default mode settings.

  • After you open MMC or a console file in author mode, you can open any existing console by clicking Open on the Console menu.
  • You can use the command line to create shortcuts for opening MMC and saved consoles. A command-line command works with the Run command on the Start menu, in any command-prompt window, in shortcuts, or in any batch file or program that calls the command.

Formatting Legend

Format | Meaning
Italic | Information that the user must supply
Bold | Elements that the user must type exactly as shown
Ellipsis (...) | Parameter that can be repeated several times in a command line
Between brackets ([]) | Optional items
Between braces ({}); choices separated by pipe (|). Example: {even|odd} | Set of choices from which the user must choose only one
Courier font | Program output

Related Topics


Using older and new versions of MMC

To use files created using earlier versions of MMC with MMC 2.0

  • MMC 2.0 reads consoles created with older versions of MMC.
  • Methods of saving files created in older versions of MMC include the following:
    • If you work in MMC 2.0 authoring mode with a file created in an earlier version of MMC, you can save the file only in MMC 2.0.
    • You can work with an MMC 1.2 file in MMC 2.0 in any of the user modes.
    • In user modes, MMC 2.0 saves console changes from an earlier version in the new format into the user's profile directory. That file has all of the changes the user chose, such as resizing. Additionally, the original console remains intact in its original format. When you open the console, MMC 2.0 opens it with the modified settings. However, if you copy the console to another computer, or delete the settings through the MMC File/Options, you will lose the changes made by the user.

Related Topics


Author an MMC console file

  • Add an item to a new MMC console for a local computer
  • Add an item to a new MMC console for a remote computer
  • Add a published snap-in to a new MMC console
  • Add an extension snap-in to an MMC console
  • Add a published extension snap-in to an MMC console
  • Create a taskpad view in a saved MMC console
  • Create tasks for a taskpad view in a saved MMC console
  • Edit a taskpad view in a saved MMC console
  • Edit tasks in a taskpad view in a saved MMC console
  • Add an item to the Favorites list in an MMC console
  • Organize the Favorites list in an MMC console
  • Install a program managed by an MMC snap-in
  • Set MMC console options
  • Save an MMC console file


Add an item to a new MMC console for a local computer

To add an item to a new MMC console for a local computer

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, double-click the item you want to add, and, if prompted, do one of the following:
    • Click Local computer: (the computer this console is running on), and then click Finish.
    • If a wizard appears, follow the instructions on the screen.
  4. To add another item to the console, repeat step 3.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • If you add a snap-in to a console, but then the snap-in becomes damaged, try adding another instance of the same snap-in to the console, configure it as needed, and then remove the first instance of the snap-in.
  • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu for that user.
  • You can only access snap-ins published in Active Directory.
  • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in. You can access snap-ins from the Add/Remove Snap-in dialog box that are not locally installed, but are available in the Active Directory directory service, only if the computer you are using: (click here)
    • Is running Windows 98 with Windows Installer installed;

      • –or–

    • Is running Windows NT 4.0 with Windows Installer installed;

      • or

    • Is running Windows Millennium Edition;

      • –and–

    • Is part of a Windows domain .
    • For more information, see Help.
  • To make an item subordinate to an item in the console tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.

Related Topics


Add an item to a new MMC console for a remote computer

To add an item to a new MMC console for a remote computer

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, double-click the item you want to add, and do the following:
    • Click Remote Desktop, type the name of the computer you want this item to manage, and then click Finish.
    • If a wizard appears, follow the instructions on the screen.
  4. To add another item to the console, repeat step 3.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • If a dialog box or a wizard does not appear in step 3, you can use the item only to administer your local computer.
  • If you add a snap-in to a console, but then the snap-in becomes damaged, try adding another instance of the same snap-in to the console, configure it as needed, and then remove the first instance of the snap-in.
  • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in. You can access snap-ins from the Add/Remove Snap-in dialog box that are not locally installed, but are available in the Active Directory directory service, only if the computer you are using: (click here)
    • Is running Windows 98 with Windows Installer installed;

      • –or–

    • Is running Windows NT 4.0 with Windows Installer installed;

      • or

    • Is running Windows Millennium Edition;

      • –and–

    • Is part of a Windows domain.
    • For more information, see Help.
  • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu for that user.
  • To make an item subordinate to an item in the console tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.

Related Topics


Add a published snap-in to a new MMC console

To add a published snap-in to a new MMC console

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Click the published snap-in you want to add, and then click Add.
  4. If a wizard for Windows Installer appears, follow the instructions on the screen, and then do one of the following:
    • Click Local computer: (the computer this console is running on), and then click Finish.
    • If a wizard for the snap-in appears, follow the instructions on your screen.
  5. To add another item to the console, repeat step 3.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • For snap-ins available from the Active Directory directory service, Not Installed displays in the Vendor column.
  • You can access extension snap-ins published in Active Directory only if the computer you are using: (click here)
    • Is running Windows 98 with Windows Installer installed;

      • –or–

    • Is running Windows NT 4.0 with Windows Installer installed;

      • or

    • Is running Windows Millennium Edition;

      • –and–

    • Is part of a Windows domain.
    • For more information about publishing applications and Windows Installer, see Help.
  • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu for that user.
  • To make an item subordinate to an item in the console tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.
  • For more information on Windows Installer, go to MSDN Online Downloads (http://www.microsoft.com/).

Related Topics


Add an extension snap-in to an MMC console

To add an extension snap-in to an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the File menu, click Add/Remove Snap-in, and then click the item that you want to extend.
  3. On the Extensions tab, in Available extensions, select the check box next to the extension you want to add, and then click OK.

Notes

  • To add every extension available for a given item, on the Extensions tab, select the Add all extensions check box. Conversely, if you want to add only certain extensions, clear this check box.
  • You can also use this procedure to remove extensions from a console by clearing the check box for an extension that was previously selected.

Related Topics


Add a published extension snap-in to an MMC console

To add a published extension snap-in to an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the File menu, click Add/Remove Snap-in .
  3. On the Extensions tab, in Snap-ins that can be extended, click the snap-in that you want to extend.
  4. In Available extensions, select the check box next to the published extension you want to add, and then click Download.
  5. If one or more wizards appear, follow the instructions on your screen, and then click OK.

Important

  • If you select the Add all extensions check box on the Extensions tab, only extension snap-ins that are locally installed and registered are added to the console. You must specifically download extension snap-ins from the directory service to make them available in a console. Thus, to add all published extensions for a given item, do not select the Add all extensions check box, but instead select the check box next to each published extension.

Notes

  • For extension snap-ins that are available from the Active Directory directory service, the snap-in names are followed by the phrase (not installed).
  • You can access extension snap-ins published in Active Directory only if the computer you are using: (click here)
  • Is running Windows 98 with Windows Installer installed;

    • –or–

  • Is running Windows NT 4.0 with Windows Installer installed;

    • or

  • Is running Windows Millennium Edition;

    • –and–

  • Is part of a Windows domain.
  • For more information about publishing applications and Windows Installer, see Help.

Related Topics


Create a taskpad view in a saved MMC console

To create a taskpad view in a saved MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the console tree, click a snap-in item.
  3. On the Action menu, click New Taskpad View.
  4. Follow the instructions in the New Taskpad View wizard.
  5. If you want to create tasks immediately after you create the taskpad view, select the Start New Task wizard check box in the final screen of the wizard.

Note

  • You can also create a taskpad view in a new console, but you must first add a snap-in to the console.

Related Topics


Create tasks for a taskpad view in a saved MMC console

To create tasks for a taskpad view in a saved MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the console tree, click an item associated with the taskpad view, and on the Action menu, click Edit Taskpad View.
  3. On the Tasks tab, click New.
  4. Follow the instructions in the New Task wizard.

Notes

  • If you are creating a new taskpad view and want to add a task, you can start the New Task wizard by selecting the Start New Task wizard check box in the final screen of the New Taskpad View wizard.
  • On the Shortcut Menu Command page of the New Task wizard, in Command source, if you selected Tree item task and cannot view all items in the console tree, you must expand the console tree manually before starting the New Task wizard.

Related Topics


Edit a taskpad view in a saved MMC console

To edit a taskpad view in a saved MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc/a, and then click OK.
  2. In the console tree, click an item associated with the taskpad view. On the Action menu, click Edit Taskpad View.
  3. On the General tab, do the following:
    • To change the name for the taskpad view, in Name, type a new name. The name appears in the upper left corner of the taskpad view and on the tab on the bottom edge of the taskpad view.
    • To change the description for a taskpad view, in Description, type a new description. The description appears under the name in the upper left corner of the taskpad view.
    • To change the list format, or to configure the taskpad view to contain tasks only, under Style for the details pane, click a new list format, or click No list.
    • To remove the Standard tab from view, check Hide Standard tab.
    • To configure task descriptions, under Style for task descriptions, click Text or InfoTip. Text descriptions are displayed to the right of a task. InfoTip descriptions are displayed as pop-up windows when a user points to tasks with the mouse.
    • To change the size of the list, in List size, click a new size for the width (Vertical list) or height (Horizontal list) of the list.
  4. Click Options, and then do one of the following:
    • To associate the taskpad view with only the currently selected item in the console tree, click Selected tree item.
    • To associate the taskpad view with all items in the console tree of the same type as the currently selected item, click All tree items that are the same type as the selected tree item.

      Note

      • If you click this option and want the taskpad view to appear by default, instead of the view on the Standard tab, select the Change default display to this taskpad view for these tree items check box.

Related Topics


Edit tasks in a taskpad view in a saved MMC console

To edit tasks in a taskpad view in a saved MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the console tree, click an item associated with the taskpad view, and on the Action menu, click Edit Taskpad View.
  3. On the Tasks tab, under Display these tasks, click a task, and then do the following:
    • To move the selected task up the display list in the taskpad view, click Move Up.
    • To move the selected task down the display list in the taskpad view, click Move Down.
    • To delete the task from the display list in the taskpad view, click Remove.
    • Click Modify, and then do the following:
      • To change the name of a task, on the General tab, in Task name, type a new name. The name appears under the task.
      • To change the description for a task, on the General tab, in Description, type a new description. Depending on how you configured the taskpad view, this appears either to the right of the task or as a pop-up when a user points to the task with the mouse.
      • To change the icon for the task, on the Task Icon tab, click a new icon, and then click OK.

Related Topics


Add an item to the Favorites list in an MMC console

To add an item to the Favorites list in an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc/a, and then click OK.
  2. In the console tree, click the item that you want to add to the Favorites list.
  3. In the details pane, click either the Standard tab or the tab for the taskpad view you want to add.
  4. On the Favorites menu, click Add to Favorites.
  5. In Create in, do one of the following:
    • To add an item to an existing folder, click the folder where you want the item to appear, and then click OK.
    • To add an item to a new folder, click the folder you want as the parent, and then click New Folder. In Folder name, type a name, click OK, and then click OK again.

Note

  • The Standard tab and tabs for taskpad views are only available in the details pane of a console if you click an item in the console tree that is configured with a taskpad view. Otherwise, no tabs are visible in the details pane.

Related Topics


Organize the Favorites list in an MMC console

To organize the Favorites list in an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the Favorites menu, click Organize Favorites, and then do the following:
    • To add a folder, click Create Folder, type a name in Folder name, and then click OK.
    • To move an item to a folder, click the item under the Favorites folder, click Move to Folder, click the folder where you want the item to appear, and then click OK.
    • To change the name of an item, click the item under the Favorites folder, click Rename, type a new name, and then press ENTER.
    • To remove an item, click the item under the Favorites folder, and then click Delete.

Related Topics


Install a program managed by an MMC snap-in

To install a program managed by an MMC snap-in

  1. If you are using Windows XP Professional or Windows XP Home Edition, click here for instructions:
    • Click Start,
    • Click Control Panel,
    • Click Add or Remove Programs,
    • Follow the instructions on the screen.
  2. If you are using Windows 2000, click here for instructions:
    • Click Start
      • ,
    • Click Setting,
    • Click Control Panel,
    • Click Add or Remove Programs.
    • Follow instructions on the screen.


Set MMC console options

To set MMC console options

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the File menu, click Options.
  3. To change the title for the console, type a new title in the box.
  4. To change the icon for the console, click Change Icon. In File Name, type the path to a file containing icons. Under Current icon click an icon, and then click OK.
  5. To change the default mode for the console, in Console mode, click the mode that you want the console to open in.
  6. If the default console mode for the console is one of the user modes, do the following:
    • To prevent users from editing the console, select the Do not save changes to this console check box.
    • To enable users to access the Customize View dialog box, select the Allow the user to customize views check box.

Notes

  • If you change the title of a console, the title bar will not display the path of items clicked in the console tree. However, if you do not change the title or you delete the title, the paths are displayed.
  • Many files contain icons that can be used for custom consoles. For example, you can find more icons in Shell32.dll, located in the systemroot\System32 folder.
  • To stop receiving the message Save console settings to console name?, which appears each time you close a console opened in author mode, set the default mode for the console to one of the user modes and clear the Do not save changes to this console check box. Then any changes to the console will be saved by default.

Related Topics


Save an MMC console file

To save an MMC console file

  • In an MMC console opened in author mode, on the File menu, click Save.

Notes

  • To open a saved console in author mode, right-click the .msc file and then click "Author" or Click Start, then click Run, and type mmc path\filename.msc /a.
  • If the console is not in author mode, the Save option on the File menu is not available. In this case, saving is determined by whether the Do not save changes to this console check box (available by clicking Options on the File menu) was selected when the console was configured. If this check box was not selected, changes to the console are automatically saved when you close MMC; if it was selected, changes to the console are discarded when you close MMC.
  • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu for that user.

Related Topics


Modify a saved MMC console file

  • Rename an item on the console tree of an MMC console
  • Remove a snap-in or other item from an MMC console
  • Make a new console window from an MMC console
  • Make a new console window from part of an MMC console tree


Rename an item on the console tree of an MMC console

To rename an item on the console tree of an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the console tree, click the item that you want to rename.
  3. On the Action menu, click Rename, and then type the new name.

Note

  • Not all items in the console tree can be renamed. If the Rename command does not appear on the Action menu, you cannot rename the item.

Related Topics


Remove a snap-in or other item from an MMC console

To remove a snap-in or other item from an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the File menu, click Add/Remove Snap-in.
  3. On the Standalone tab, click the item you want to remove, and then click Remove.

Related Topics


Make a new console window from an MMC console

To make a new console window from an MMC console

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the Window menu, click New Window.

Note

  • The new console window is rooted at the console root of the saved console.

Related Topics


Make a new console window from part of an MMC console tree

To make a new console window from part of an MMC console tree

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the console tree, click the item that you want to become the console root of the new console.
  3. On the Action menu, click New Window from Here.

Related Topics


Work with MMC and saved console files

  • Hide or display features of a saved MMC console
  • Hide or display menus and toolbars for snap-ins
  • Reorder columns in an MMC console
  • Hide or display columns in an MMC console
  • Filter rows in an MMC console
  • Export columns in an MMC console to a text file
  • View the associated snap-in and item for a property page


Viewing Extensions

To view extensions to snap-ins

  • Click Start, go to Additional Programs or All Programs, go to Administrative Tools, and then click the console file name.
  • In the Add/Remove Snap-in dialog box, go to Snap-ins added to: and select the snap-in you want to use.
  • Click the Extensions tab.
  • Extensions will be displayed in the Available extensions box.
  • Extensions from other snap-ins can be displayed from selections in the Snap-ins that can be extended: item list.

Note

  • You must be in author mode to view the Add/Remove snapins menu.
  • By default, user added snap-ins are saved in Administrative Tools (%SystemDrive%/Documents and Settings/%UserName%/Start/Programs/Administrative Tools). They may be saved elsewhere at the user's discretion.
  • To open the console file in author mode, right-click the console file name and select Author.
  • In the opened MMC console, click File. From the drop-down menu, select Add/Remove Snap-in.
  • The Add/Remove Snapin menu is not available in any of the user modules.

Related Topics


Using the Disk Cleanup tab

To use the Disk Cleanup tab

  1. Open MMC.
  2. Click File on the menu bar.
  3. Click Options on the drop-down menu. The Options dialog box opens, displaying two tabs.
  4. Click the Disk Cleanup tab.
  5. To delete the console files, click Delete Files.
  6. Close the dialog box by clicking OK.
  7. To cancel, click Cancel at the bottom of the dialog box.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • The text on the Disk Cleanup tab states that changes to the view of a console file are saved in your profile. The amount of disk space used on the computer for these console changes is indicated on the Disk Cleanup tab.


Hide or display features of a saved MMC console

To hide or display features of a saved MMC console

  1. Open a saved console.
    • To open a saved console in author mode, right-click the .msc file and then click Author.
    • Click Start, click Run, and then type mmc path\filename.msc /a.
  2. On the View menu, click Customize.
  3. Under MMC, do the following:
    • To display or hide the console tree, select or clear the Console tree check box.
    • To display or hide the Action and View menus, select or clear the Standard menus (Action and View) check box.
    • To display or hide the console toolbar, select or clear the Standard toolbar check box.
    • To display or hide the status bar at the bottom of the console window, select or clear the Status bar check box.
    • To display or hide the description bar along the top of the details pane, select or clear Description bar.
    • To display or hide the tabs along the bottom of the details pane, select or clear the Taskpad navigation tabs check box.

Important

  • If you clear the Standard menus (Action and View) check box and close the Customize View dialog box, you cannot access commands on the Action and View menus, including the Customize command. In this situation, to access the Customize View dialog box, click the system menu (the icon in the upper-left corner of the console), and then click Customize View.

Notes

  • As you select or clear check boxes, view the console to confirm that the changes you make are what you expected.
  • If you hide the Console tree, the Favorites menu, if applicable, will still be visible on the menu bar.
  • Displaying or hiding the tabs along the bottom of the details pane can also be done from any pre-existing taskpad view. Select Action from the menu, click Edit taskpad view, select or deselect the Hide Standard tab check box, and then click OK.

Related Topics


Hide or display menus and toolbars for snap-ins

To hide or display menus and toolbars for snap-ins

  1. Open a saved console.

    Note

      To open a saved console in author mode, right-click the .msc file and then click Author.
      Click Start, then click Run, and type mmc path\filename.msc /a.
      Then click OK.

  2. On the View menu, click Customize.
  3. Under Snap-in, do one or more of the following:
    • To display or hide menus specific to snap-ins, select or clear the Menus check box.
    • To display or hide toolbars specific to snap-ins, select or clear the Toolbars check box.

Note

  • When you select or clear the Menus and Toolbars check boxes, the menus and toolbars are displayed or hidden for all snap-ins in the console, not just the currently selected snap-in. If toggling the check boxes does not change the view, the currently selected snap-in does not have custom menus or toolbars.

Related Topics


Reorder columns in an MMC console

To reorder columns in an MMC console

  1. In an open MMC console, click an item in the console tree that displays columns in the details pane.
  2. On the View menu, click Add/Remove Columns.
  3. In the Add/Remove Columns dialog box, under Displayed columns, click a column name, and then click Move Up or Move Down to change the position of the column.

Notes

  • You can also reorder columns in the details pane by using a mouse to drag a column heading to the left or right of its original position. As you drag a column, highlighting between the column headings indicates the new position of the column.
  • You can resize columns by using the mouse to drag column headings.
  • This feature is not enabled for all items. If you do not see the Add/Remove Columns option on the View menu, you cannot use this feature for the selected item.

Related Topics


Hide or display columns in an MMC console

To hide or display columns in an MMC console

  1. In an open MMC console, click an item in the console tree that displays columns in the details pane.
  2. On the View menu, click Add/Remove Columns .
  3. In the Add/Remove Columns dialog box, do the following:
    • To hide a column, in Displayed columns, click the column you want to hide, and then click Remove.
    • To display a column, in Available columns, click the column you want to display, and then click Add.

Notes

  • You might not be able to hide some columns in the details pane.
  • This feature is not enabled for all items. If you do not see the Choose Columns option on the View menu, you cannot use this feature for the selected item.

Related Topics


Filter rows in an MMC console

To filter rows in an MMC console

  1. In an open MMC console, click an item in the console tree that displays columns in the details pane.
  2. On the View menu, click Filter.
  3. Modify the options on the Filter tab of the Application Properties dialog box as desired.

    4. Filters appear below the column headings in the details pane.

Note

  • This feature is not enabled for all items. If you do not see the Filter option on the View menu, you cannot use this feature for the selected item.

Related Topics


Export columns in an MMC console to a text file

To export columns in an MMC console to a text file

  1. In an open MMC console, click an item in the console tree that displays columns in the details pane.

    2. Notes

    • To export only certain rows in the details pane, select the rows.
    • If you want to export the entire contents of the details pane, skip this step.
  2. On the Action menu, click Export List.
  3. In the Export List dialog box, enter the following information:
    • In Save in, click a location to save the file.
    • In File name, type a name for the file.
    • In Save as type, click a file format in the list.
    • To export only certain rows, select the Save Only Selected Rows check box.
  4. Click Save.

Notes

  • Some snap-ins do not provide the ability to select more than one row in the details pane. For these snap-ins, you can export all the rows in the details pane, but not selected rows only.
  • Unicode file formats are not available in Save as type for operating systems earlier than Windows NT 4.0.

Related Topics


View the associated snap-in and item for a property page

To view the associated snap-in and item for a property page

  1. In the console tree or details pane of an open MMC console, right-click the item for which you want to view properties and then click Properties.
  2. In the properties dialog box, do the following:
    • To view which snap-in provided a particular property page in the dialog box, hold down the CTRL key and point to the label of one of the tabs.
    • To view the location in the console tree for the item associated with the properties dialog box, hold down the CTRL key and point to the title bar of the properties dialog box.


Set policy for MMC and snap-ins

  • Restrict access to author mode in MMC
  • Restrict access to author mode in MMC for a domain
  • Restrict access to a permitted list of snap-ins
  • Restrict access to a permitted list of snap-ins for a domain
  • Permit or restrict access to a snap-in
  • Permit or restrict access to a snap-in for a domain


Restrict access to author mode in MMC

To restrict access to author mode in MMC

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, click Group Policy, and then click Add.
  4. In the Select Group Policy Object dialog box, do one of the following:
    • To edit the local Group Policy object, click Local Computer.
    • To edit a different Group Policy object, click Browse.
  5. Click Finish, click Close, and then click OK.

    The Group Policy snap-in opens the specified Group Policy object.

  6. In the console tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  7. In the details pane, double-click Restrict the user from entering author mode.
  8. On the Policy tab, do one of the following:
    • To allow the user to use author mode in MMC, click Not Configured or Disabled.
    • To restrict the user from using author mode in MMC, click Enabled.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • Once Restrict the user from entering author mode has been enabled, any attempt to reaccess the console results in an error message indicating blocked access to the console in author mode. Users with administrator privileges can regain access to author mode by clicking Start/Run/gpedit.msc which opens the Group Policy console for local computer policy. Next, click User Configuration/Administrative Templates/Windows Components/Microsoft Management Console. Then double-click Restrict the user from entering author mode in the details pane. Unclick the radio button Enabled so that either Not Configured or Disabled has been selected.
  • This feature applies only in a network where Group Policy has been configured; a system administrator must enable Group Policy. Not available in Windows XP Home Edition.
  • For more information, click the Explain tab in the Restrict the user from entering author mode properties dialog box, and see Help.

Related Topics


Restrict access to author mode in MMC for a domain

To restrict access to author mode in MMC for a domain

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the organizational unit for which you want to configure policy, and then click Properties.
  3. On the Group Policy tab, click Edit.

    The Group Policy console appears.

  4. In the console tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  5. In the details pane, double-click Restrict the user from entering author mode.
  6. On the Policy tab, do one of the following:
    • To allow the user to use author mode in MMC, click Not Configured or Disabled.
    • To restrict the user from using author mode in MMC, click Enabled.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Active Directory applies only in a network where Group Policy has been configured. You must be a domain Administrator, or have equivalent rights, and use a computer configured as a domain controller to configure Group Policy for a domain.
  • For more information, click the Explain tab in the Restrict the user from entering author mode properties dialog box, and see Help.

Related Topics


Restrict access to a permitted list of snap-ins

To restrict access to a permitted list of snap-ins

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, click Group Policy, and then click Add.
  4. In the Select Group Policy Object dialog box, do one of the following:
    • To edit the local Group Policy object, click Local Computer.
    • To edit a different Group Policy object, click Browse.
  5. Click Finish, click Close, and then click OK.

    The Group Policy snap-in opens the specified Group Policy object.

  6. In the console tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  7. In the details pane, double-click Restrict users to the explicitly permitted list of snap-ins.
  8. On the Policy tab, do one of the following:
    • To permit the user to access snap-ins that are not explicitly restricted, click Not Configured or Disabled.
    • To restrict the user from accessing any snap-in that is not explicitly permitted, click Enabled.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • This feature is not available in Windows XP Home Edition.
  • This feature applies only in a network where Group Policy has been configured; a system administrator must enable Group Policy.
  • If you enable this policy, only permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC.
  • For more information, click the Explain tab in the Restrict users to the explicitly permitted list of snap-ins properties dialog box, and see Help.

Related Topics


Restrict access to a permitted list of snap-ins for a domain

To restrict access to a permitted list of snap-ins for a domain

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the organizational unit for which you want to configure policy, and then click Properties.
  3. On the Group Policy tab, click Edit.

    The Group Policy console appears.

  4. In the console tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  5. In the details pane, double-click Restrict users to the explicitly permitted list of snap-ins.
  6. On the Policy tab, do one of the following:
    • To permit the user to access snap-ins that are not explicitly restricted, click Not Configured or Disabled.
    • To restrict the user from accessing any snap-in that is not explicitly permitted, click Enabled.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Active Directory applies only in a network where Group Policy has been configured. You must be a domain Administrator, or have equivalent rights, and use a computer configured as a domain controller to configure Group Policy for a domain.
  • If you enable this policy, only permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC.
  • For more information, click the Explain tab in the Restrict users to the explicitly permitted list of snap-ins properties dialog box, and see Help.

Related Topics


Permit or restrict access to a snap-in

To permit or restrict access to a snap-in

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, click Group Policy, and then click Add.
  4. In the Select Group Policy Object dialog box, do one of the following:
    • To edit the local Group Policy object, click Local Computer.
    • To edit a different Group Policy object, click Browse.
  5. Click Finish, click Close, and then click OK.

    The Group Policy snap-in opens the specified Group Policy object.

  6. In the console tree, click Restricted/Permitted snap-ins.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Microsoft Management Console
    • Restricted/Permitted snap-ins
  7. In the details pane, double-click the snap-in that you want to permit or restrict, and then do one of the following:
    • To enable the user to access this snap-in (unless the user is restricted by the Restrict users to the explicitly permitted list of snap-ins policy), click Not Configured.
    • To permit the user to access this snap-in, click Enabled.
    • To restrict the user from accessing this snap-in, click Disabled.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • This feature applies only in a network where Group Policy has been configured; a system administrator must enable Group Policy.
  • For more information, click the Explain tab in the snap-in Properties dialog box, and see Help.

Related Topics


Permit or restrict access to a snap-in for a domain

To permit or restrict access to a snap-in for a domain

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the organizational unit for which you want to configure policy, and then click Properties.
  3. On the Group Policy tab, click Edit.

    The Group Policy console appears.

  4. In the console tree, click Restricted/Permitted snap-ins.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
    • Restricted/Permitted snap-ins
  5. In the details pane, double-click the snap-in that you want to permit or restrict, and then do one of the following:
    • To enable the user to access this snap-in (unless the user is restricted by the Restrict users to the explicitly permitted list of snap-ins policy), click Not Configured.
    • To permit the user to access this snap-in, click Enabled.
    • To restrict the user from accessing this snap-in, click Disabled.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Active Directory is not available in Windows XP Professional or Windows XP Home Edition.
  • This feature applies only in a network where Group Policy has been configured. You must be a domain Administrator, or have equivalent rights, and use a computer configured as a domain controller to configure Group Policy for a domain.
  • When you restrict or explicitly permit access to a snap-in, the snap-in is added to a list of restricted or permitted snap-ins. The restricted list takes precedence over the permitted list, so that if the same snap-in exists on both lists, access to the snap-in is restricted.
  • For more information, click the Explain tab in the snap-in Properties dialog box, and see Help.

Related Topics


Concepts

This section covers:

  • MMC overview
  • Understanding MMC
  • Using MMC
  • Resources


MMC overview

You can use Microsoft Management Console (MMC) to create, save, and open administrative tools (called MMC consoles) that manage the hardware, software, and network components of your Windows system. MMC can be run on the various Windows 9x and Windows NT operating systems.

MMC does not perform administrative functions, but hosts tools that do. The primary type of tool you can add to a console is called a snap-in. Other items that you can add include ActiveX controls, links to Web pages, folders, taskpad views, and tasks.

There are two general ways that you can use MMC: in user mode, working with existing MMC consoles to administer a system, or in author mode, creating new consoles or modifying existing MMC consoles. For more information about the differences between user and author mode, see Console access options.


Understanding MMC

This section covers:

  • MMC consoles
  • Group Policy and MMC
  • MMC in author mode


MMC consoles

A new MMC console consists of a window divided into two panes. The left pane displays the console tree. The console tree shows the items that are available in a given console. The right pane contains the details pane. The details pane shows information about, and functions pertaining to, these items. As you click different items in the console tree, the information in the details pane changes. The details pane can display many types of information including Web pages, graphics, charts, tables, and columns.

Each console has its own menus and toolbar, separate from those of the main MMC window, that help a user perform tasks. For more information about the main MMC window, see The MMC window.

The operating system you are using may already have preconfigured and saved console files available on the Programs menu or in the Administrative Tools folder in Control Panel.

Consoles which have been created with older versions of MMC (versions 1.1 and 1.2) can be read by MMC version 2.0. However, to save or otherwise modify the older consoles, the user will be required to convert to MMC version 2.0. For further information, see Using older and new versions of MMC.


Group Policy and MMC

Only administrators can use Group Policy to restrict or allow access to specific snap-ins or restrict the ability of a user or group to use author mode in MMC. This applies in a network where Group Policy has been configured.

To set policies for users of a particular computer, you must be an administrator for that computer or have equivalent rights. To set policies for an organizational unit in a domain, you must be an administrator for that domain or have equivalent rights. You cannot use this version of MMC to create computer policies; you can only create user policies.

For more information about Group Policy, see Help.

For more information about applying Group Policy to MMC, see Setting Group Policy in MMC.


MMC in author mode

You can use MMC in author mode to create new consoles or modify existing consoles. To create an administrative tool, you add snap-ins and other items to a console. You can create additional console windows that provide views of the various items that make up a console. You can also create taskpad views that contain shortcut links to run menu commands from different locations and tools in the console, as well as run command-line functions. After a console is saved, you can distribute it to users.

This section covers:

  • The MMC window
  • Snap-ins
  • Taskpad views and tasks
  • The console tree and console root
  • The Favorites list
  • Console access options

In addition, for a tutorial about creating and customizing consoles, see the Microsoft Web site (http://www.microsoft.com/).


The MMC window

The components of an MMC console are contained in the MMC window. This window has several menus and a toolbar that provide commands to open, create, and save MMC consoles. The menu and toolbar on the MMC window are called the main menu bar and the main toolbar, respectively. In addition, there is a status bar at the bottom of the window and a description bar along the top of the details pane. Open MMC to view the MMC window.

When you open a new MMC console, a console window appears in the workspace in the MMC window. In the console window, you can assemble and configure a new console and then work with the tools in the console. After you add items to a console, you can hide the main menu bar, main toolbar, description bar, and status bar to prevent users from making unnecessary changes to the console. For more information, see To hide or display features of a saved MMC console and To hide or display menus and toolbars for a snap-in.


Snap-ins

A snap-in is the basic component of an MMC console. Snap-ins always reside in a console; they do not run by themselves.

When you install a component that has a snap-in associated with it, the snap-in is available to anyone creating a console on that computer (unless restricted by a user policy). For information about user policies, see Group Policy and MMC.

Stand-alone and extension snap-ins

MMC supports two types of snap-ins: stand-alone snap-ins and extension snap-ins. You can add a stand-alone snap-in, usually called a snap-in, to a console tree without adding another item first. An extension snap-in, usually called an extension, is always added to a stand-alone or extension snap-in that is already on the console tree. When extensions are enabled for a snap-in, they operate on the objects controlled by the snap-in, such as a computer, printer, modem, or other device.

When you add a snap-in or extension to a console, it may appear as a new item in the console tree, or it may add context menu items, additional toolbars, additional property pages, or wizards to a snap-in already installed in the console.

Adding snap-ins to a console

You can add a single snap-in or multiple snap-ins and other items to a console. In addition, you can add multiple instances of a particular snap-in to the same console to administer different computers or to repair a damaged console. Each time you add a new instance of a snap-in to a console, any variables for the snap-in are set at default values until you configure the snap-in. For instance, if you configure a particular snap-in to manage a remote computer and then add a second instance of the snap-in, the second instance will not automatically be configured to manage the remote computer.

In general, you can only add snap-ins that are installed on the computer you are using to author a console. However, if your computer is part of a domain, you can use MMC to download any snap-ins that are not locally installed, but that are available in the Active Directory directory service. For more information about adding published snap-ins and extensions to a console, see Creating consoles. For more information about distributing software by using Active Directory, see Help.


Taskpad views and tasks

Taskpad views are pages to which you can add views of the details pane of a console, as well as shortcuts to functions both inside and outside a given console. You can use these shortcuts to run tasks such as starting wizards, opening property pages, performing menu commands, running command lines, and opening Web pages. You can configure a taskpad view so that it contains all the tasks a given user might need. In addition, you can create multiple taskpad views in a console, so that you can group tasks by function or user.

A taskpad view may make it easier for novice users to perform their jobs. For instance, you can add applicable tasks to a taskpad view and then hide the console tree, so that a user can begin using tools before they are familiar with the location of particular items in the console tree or operating system.

You may also use taskpad views to make complex tasks easier. For instance, if a user must frequently perform a task that involves multiple snap-ins and other tools, you can present tasks in a single location that open or run the necessary dialog boxes, property pages, command lines, and scripts.

For more information about creating taskpad views and tasks, see Creating consoles.


The console tree and console root

The console tree is a hierarchical structure in the left pane of an MMC console. The console tree shows the items that are available in a console. These items can include folders, snap-ins, controls, Web pages, and other tools.

Open MMC to view the console tree of a new console.

In a new console, the only item on the console tree is a folder labeled Console Root. You can create the administrative functions of the console by adding items to the console. For instructions about adding items to a console, see Creating consoles.

You do not need to root a console window on the console root; you can root a console window on any item in the console tree. This hides items in the console tree above the root and focuses the window on the new console root and any administrative tools under it.

For instructions about changing where a console is rooted, see To make a new console window from part of an MMC console tree.

Containers on the console tree

A container is any item on the console tree to which objects are added. You click the plus sign Image of plus to expand a container and view its contents, and the minus sign Image of minus to collapse the container. The obvious container is a folder Image of folder, which you can use to group related items on a console tree. However, you can also use MMC to add tools to items other than folders, which then also become containers.

The console root is a container; its only function is to contain the console tree. The top item in a snap-in is usually a folder or another container.

Another type of item that can contain other items is a viewable item. When you click a viewable item, it displays a list, text, or graphic information in the details pane rather than additional items. Web pages are viewable items because they require a browser, which can open only in the details pane. You should not add items to viewable items because, if a user hides the console tree, they may be unaware that a viewable item contains others items. Instead, if you have a collection of viewable items, you can add a folder to the console tree and group the viewable items in the folder. Then a user can select from all the items when the console tree is hidden.

For instructions about hiding the console tree, see To hide or display features of a saved MMC console.

One type of item that cannot contain other items is a leaf. When you click a leaf, it lists items in the details pane. These are normally items that are individually contained on the console tree. However, when items number in the hundreds or thousands, a snap-in uses a leaf rather than a container.

Adding new functionality to a console

You might find that none of the snap-ins provided by the Add/Remove Snap-in command provide exactly the capabilities you require. You can try the following possible solutions:

  • Check for additional snap-ins or extensions that may have been posted on the Web by Microsoft or other vendors.
  • Author your own extension to augment an existing snap-in, or author a new stand-alone snap-in.

For more information about these options, see Resources.


The Favorites list

The Favorites list is located on the Favorites menu. You can use the Favorites list to create shortcuts to items in the console tree. For your convenience, you can add shortcuts to tools that you use often or tools that are several levels down in the console tree. You can also use the Favorites list to make it easier for novice users to complete tasks. For instance, you can create a console that has shortcuts in the Favorites list to only the items in the console tree that a given user needs to perform a job. You can then hide the console tree to further simplify the view.

You can also use the Favorites list to organize taskpad views. For example, a complex console may have multiple taskpad views distributed among the multiple items in the console tree. However, you can add all these taskpad views to the Favorites list, which enables users to access them from a single location.

For more information, see Creating consoles.


Console access options

When building a custom console, you can assign the console one of two general access options: author mode or user mode. There are, in turn, three levels of user mode, so that there are four options for default access to a console:

  • Author mode
  • User mode - full access
  • User mode - limited access, multiple window
  • User mode - limited access, single window

You can configure these options in the Options dialog box in MMC. For instructions about opening this dialog box, see To set MMC console options.

You can assign author mode to a console to grant full access to all MMC functionality, including the ability to add or remove snap-ins, create new windows, create taskpad views and tasks, add items to the Favorites list, and view all portions of the console tree. By selecting one of the user mode options, authoring features that a user may not need are eliminated. For instance, if you assign the User mode - full access option to a console, all window management commands and full access to the console tree are provided, but a user is prevented from adding or removing snap-ins or changing the console properties.

Changes made to consoles in author mode and consoles in user mode are saved differently. If you work with a console in author mode, when you close the console you will be prompted to save your changes. However, if you work with a console in user mode and have cleared the Do not save changes to this console check box, available by clicking Options on the File menu, changes will be automatically saved when you close the console.

If any of the following conditions apply, the default mode for a console is ignored and a console is opened in author mode:

  • MMC is already open when a console is opened.
  • A console is opened by using the shortcut menu command Author.
  • A console is opened at the command prompt with the /a option.

For more information about console modes and command-line syntax for MMC, see To open MMC.

Author mode access for MMC is unnecessary for users who do not need to create or change MMC consoles. A system administrator can configure user profile settings to prevent users from opening MMC in author mode, by inhibiting the /a option or the shortcut menu option. In addition, an administrator can use Group Policy settings to prevent users from opening MMC and saved consoles in author mode. For more information, see Group Policy and MMC.


Using MMC

This section covers:

  • Using MMC consoles
  • Setting Group Policy in MMC
  • Using the MMC Help system
  • Authoring MMC consoles
  • Running 32-bit and 64-bit snap-ins in Win64


Using MMC consoles

You may need to use saved MMC consoles that are only part of your operating system or an application; you may never need to build custom consoles of your own. Such preconfigured consoles are usually available in the Administrative Tools folder in Control Panel or from the Start menu. If you save a custom console to a per-user Administrative Tools folder (located at \\systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu for that user.

It is likely that any preconfigured consoles that came as part of your operating system are configured to open in one of the three user modes. The default mode is User mode - limited access, single window. For more information about default console mode settings, see Console access options.

Customizing the view for MMC and saved consoles

You can use the Customize View dialog box accessed from the Customize command on the View menu to hide or display elements for a console. One of the elements that you can hide is the View menu itself. If you do this, but then want to reconfigure the view, you can also access the Customize View dialog box from the Customize View command on the System menu. For more information, see To hide or display features of a saved MMC console and To hide or display menus and toolbars for a snap-in.

Working with columns in saved consoles

In saved consoles that display columns in the details pane, you can customize how the columns and rows appear. For instance, you can reorder or hide columns. You can also reorder rows alphabetically or chronologically by clicking the column heading. In addition, with certain snap-ins, you can filter columns based on additional attributes. If this feature is enabled, a row of drop-down list boxes that contain options for filtering is displayed beneath the column headings. For more information, see To reorder columns in an MMC console, To hide or display columns in an MMC console, and To filter rows in an MMC console.

You can also export the contents of columns to a text file. For more information, see To export columns in an MMC console to a text file.

If you customize the columns in a console, your settings are automatically saved from session to session.

Using property pages in saved consoles

Much of the work done using consoles is performed from property pages. In fact, certain snap-ins or extensions may be accessed in a console only from a property page. You can determine which snap-in provided a particular property page if you hold down the CTRL key while you point with the mouse to the label of the tab for the property page. Also, if you hold down the CTRL key while you point to the title bar of a particular properties dialog box, you can determine the path in the console tree to the item associated with the property page. For more information, see To view the associated snap-in and item for a property page.

The properties dialog boxes for consoles often become hidden behind consoles and other tools. If you cannot find a property page that you were working on, simply reopen the properties dialog box or minimize the other tools on your screen.

Using consoles from older versions of MMC

Consoles which have been created with older versions of MMC (versions 1.1 and 1.2) can be read by MMC version 2.0. However, to save or otherwise modify the older consoles, the user will be required to convert to MMC version 2.0. For further information, see Using older and new versions of MMC.


Setting Group Policy in MMC

This feature applies only in a network where Group Policy has been configured; a system administrator must enable Group Policy. For detailed information, see Group Policy.

Policy Action Result
Enable Restrict the user from entering author mode. Open MMC or open a console in author mode:
  • Type mmc at the command prompt.
  • Type mmc path\filename.msc /a at the command prompt.
  • Right-click an .msc file, and then click Author.
  • Open a console file that is configured to open in author mode.
 An error message appears denying access to console in author mode.

Users with administrator privileges can access author mode. Restrict access to author mode in MMC.
Disable or do not configure Restrict the user from entering author mode. Open MMC or open a console in author mode:
  • Type mmc at the command prompt
    • .
  • Type mmc path\filename.msc /a at the command prompt
    • .
  • Right-click an .msc file, and then click Author
    • .
  • Open a console file that is configured to open in author mode
    • .
 Use of author mode is unrestricted.
Enable Restrict users to the explicitly permitted list of snap-ins. Open a console that contains a snap-in that is not on the permitted list, or a snap-in that is extended by a snap-in that is not on the permitted list:
  • Type mmc path\filename.msc at the command prompt
    • .
  • Double-click an .msc file
    • .
  • Right-click an .msc file, and then click Open
    • .
 An error message appears.

Note

  • If you enable this policy, only explicitly permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC—all other snap-ins are restricted.
Disable or do not configure Restrict users to the explicitly permitted list of snap-ins. Open a console that contains a snap-in that is not on the permitted list, or a snap-in that is not extended by a snap-in on the permitted list:
  • Type mmc path\filename.msc at the command prompt
    • .
  • Double-click an .msc file
    • .
  • Right-click an .msc file, and then click Open
    • .
 Use of the console that contains the snap-in is unrestricted.
Explicitly permit a snap-in. Open a console that contains the snap-in, or a snap-in that is extended by the permitted snap-in:
  • Type mmc path\filename.msc at the command prompt
    • .
  • Double-click the .msc file
    • .
  • Right-click the .msc file, and then click Open
    • .
 Use of the console that contains the snap-in is unrestricted.
Explicitly restrict a snap-in. Open a console file that contains the snap-in, or contains a snap-in that is extended by the restricted snap-in:
  • Type mmc path\filename.msc at the command prompt
    • .
  • Double-click the .msc file
    • .
  • Right-click the .msc file, and then click Open
    • .
 An error message appears.
Do not configure the policy to permit or restrict a snap-in. Open a console file that contains the snap-in, or contains a snap-in that is extended by this snap-in:
  • Type mmc path\filename.msc at the command prompt
    • .
  • Double-click the .msc file
    • .
  • Right-click the .msc file, and then click Open
    • .
 Use of the console that contains the snap-in is unrestricted unless the user, group, or organizational unit is restricted to a list of explicitly permitted snap-ins.


Using the MMC Help system

You can access Help for MMC from the Help menu on the main toolbar, from the Help button button on the toolbar of a console window, on the system menu of the MMC window or a console window, by right-clicking an item in the console tree or details pane, or by pressing the F1 key.

Help for MMC displays a combined table of contents that includes general Help for MMC and Help specific to each snap-in included in the console. Snap-in Help is provided only for existing Help files that were associated to snap-ins by their authors. If you are authoring a console, you may want to provide additional documentation for tasks associated with the console or provide information specifically related to your network.


Authoring MMC consoles

This section covers:

  • Creating consoles
  • Saving consoles
  • Using custom consoles

For more information about author mode, see MMC in author mode.


Creating consoles

Before you author a console, you should identify the tasks the console will perform, the components to be administered, and the snap-ins and controls that are needed to perform the tasks. You should also consider whether you need to create a taskpad view and tasks. After you make these decisions, you can open a new console and start adding items to the console tree. For a tutorial about creating and customizing consoles, see the Microsoft Web site (http://www.microsoft.com/).

To create or edit a console, open the console in author mode (use the command-line option /a). To view the complete command-line syntax, see To open MMC.

Adding items to the console tree

You can help users locate the components they need in the console by arranging items hierarchically or in groups on the console tree. To add items to the console tree, you can use the Add/Remove Snap-in command on the File menu of the main toolbar of MMC.

In the Add/Remove Snap-in dialog box, Snap-ins added to determines the item on the console tree under which new items are added. The default value is Console Root. You can click an item in Snap-ins added to to locate an object elsewhere on the console tree.

The Add Standalone Snap-in dialog box displays a list of available snap-ins. For computers running that are members of a domain, this list includes both locally-installed snap-ins and snap-ins published in the Active Directory directory service. For snap-ins that are available in Active Directory, Not Installed appears in the Vendor column.

If you have already installed a snap-in, and you want to enable one of its extension snap-ins, you can use the Extensions tab in the Add/Remove Snap-in dialog box. On this tab, you can select any item in the console tree that can be extended and view the extension snap-ins that you can enable or disable. When you enable an extension snap-in, it is automatically inserted in the console tree under the selected item. If there is more than one instance of a snap-in on the console tree, all instances of the snap-in are extended.

After an extension snap-in is enabled, you might notice that it appears in Snap-ins that can be extended along with the stand-alone snap-ins. This means that the extension snap-in also has extensions that you can enable.

Like stand-alone snap-ins, an administrator can also publish extension snap-ins in Active Directory. Extension snap-ins available to a user from Active Directory appear in the list of available extension snap-ins with any locally installed extension snap-ins, except that they are followed by the phrase (not installed). You must specifically download extension snap-ins from the directory service to make them available in a console. Thus, to download all extensions for a given item, do not select the Add all extensions check box on the Extensions tab of the Add/Remove Snap-in dialog box. Instead, clear this check box and select the check boxes next to each extension that you want to download.

You can add multiple instances of the same snap-in to a console either to manage multiple remote computers from the same console or to repair a damaged console. As an example of the latter situation, you might notice that a tool is behaving differently than expected, that its configuration is outdated, or that it is timing out because resources have been removed. To fix the console, try adding a new instance of the snap-in to the console, configure it as needed, and then remove the old instance of the snap-in from the console.

For information about adding items to the console tree, see To add an item to a new MMC console for a local computer, To add an item to a new MMC console for a remote computer, To add a published snap-in to a new MMC console, To add an extension snap-in to an MMC console, and To add a published extension snap-in to an MMC console.

Adding taskpad views and tasks

Before you add taskpad views and tasks to a console, determine how many taskpad views you need. If you need multiple taskpad views, you also need to determine how the tasks are divided among those views. In addition, you should decide what kind of taskpad view you want to use—one that displays a list and tasks, or one that displays tasks only.

To create a taskpad view for a console, the console must contain at least one snap-in. You can use the New Taskpad View wizard to configure the titles, headings, and lists that appear in the taskpad view, and to define whether a taskpad view is associated with a single item or multiple items in the console tree.

After you complete the New Taskpad View wizard, you can use the New Task wizard to add tasks to the taskpad view. Tasks can include menu commands for the items in the console, as well as commands that are run from a command prompt. You can create commands to act on part of the console tree or details pane, or to open another component on your computer. However, if you create a task from a menu command for an item in the console tree, and then you remove that item, the task is disabled.

For information about creating and editing taskpad views and tasks, see To create a taskpad view in a saved MMC console, To create tasks for a taskpad view in a saved MMC console, To edit a taskpad view in a saved MMC console, and To edit tasks in a taskpad view in a saved MMC console.

Viewing the console tree in a console window

When the console tree is visible, it appears in the left pane of a console window. You can also hide the console tree. For information about hiding the console tree, see To hide or display features of a saved MMC console.

What you view in a console window is determined by where the console window is rooted on the console tree. The initial window in a new console is rooted at Console Root, as are any windows you create with the New Window command on the Window menu on the main toolbar.

You can close console windows to hide the console root or entire portions of the console tree. You can then configure the console to prevent users from viewing hidden portions of the tree. However, the entire console tree is always saved when you save a console.

Rooting console windows on items in the console tree

While you can use MMC to make consoles that meet every administrative need for a group, you can also design simple consoles for less experienced users. For instance, after you add items to a console tree, you can open additional console windows rooted on any item in the console tree. You can use this method to create console windows that display specific administrative components of the console tree. You can then close windows that show portions of the console tree that users do not need.

Closing a window does not remove any items from the console tree; when you close a window, you remove only that view of the console tree. The entire tree is still saved when you save the console, and you can always view the console root.

For information about changing the console root, see To make a new console window from part of an MMC console tree.

For information about viewing a console root that is hidden, see To make a new console window from an MMC console.

Adding items to the Favorites list

You can use the Favorites list to create shortcuts to items in the console tree and to taskpad views. You can then access these items from the Favorites menu.

For more information about creating the Favorites list, see To add an item to the Favorites list in an MMC console and To organize the Favorites list in an MMC console.

Configuring console options

You can use the Options dialog box, available from the File menu, to choose an icon for, change the title of, and choose the default mode for a console.

Icons are available from many sources including the Shell32.dll file, located in the systemroot\system32 folder.

When changing the title of a console, keep in mind that by default, as you click items in the console tree, the title bar displays the path to the selected item. But if you change the title of a console, the title bar will not display this path. However, if you delete the title, the default behavior is restored.

When considering which mode to set as the default for a console, remember that if you use one of the user modes, you can open the console at any time using the Author or Run As commands—you will not need to use author mode for most management tasks.

For more information about console options, see To set MMC console options and Console access options.


Saving consoles

Saving an MMC console to a file preserves the list of loaded snap-ins for the console, the arrangement and contents of console windows in the main MMC window, the default mode, and information about permissions. All the configuration settings for the tools and controls are saved with the console and restored when the console file is opened. You can open a console file on different computers or even different networks and restore the saved settings for all the tools.

Console files have an .msc (management saved console) extension. The operating system you are using may already have preconfigured and saved console files that are available from the Administrative Tools folder in Control Panel. If you create console files and save them in your per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), they are available from the Administrative Tools folder on the Programs menu for you only—the console files are not available for other users of the computer. After you save a console, you can distribute it by using a floppy disk, e-mail, or your network.

If you are working with a console in author mode, you can save changes to the console by using the Save command on the File menu. If you are working with a console in one of the user modes, saving changes to the console is determined by whether the Do not save changes to this console check box (available by clicking Options on the File menu) was selected when the console was configured. If this check box was not selected, changes to the console are automatically saved when you close MMC; if it was selected, changes to the console are discarded when you close MMC. For more information about saving consoles, see To save an MMC console file. For more information about console modes, see Console access options.


Using custom consoles

After you create and save an MMC console, you can use it on your local computer, send it to other users in e-mail, post it on your network or the Web, or copy it to a floppy disk and install it on other computers. In addition, you can use MMC and the Active Directory directory service to publish consoles or assign consoles to users. For more information about distributing software by using Active Directory, see Help.

Requirements to use a console

To use a console, you must have access to the services and administrative tools included in the console, either installed on the local computer or available on the network. You must also have administrative permissions for the components on the system that is administered by the console.

Opening a saved console

If you save a console to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu.

If you know the name and location of a console file, you can open it as you would any other document:

  • By double-clicking the .msc file.
  • By right-clicking the .msc file, and then clicking Open.
  • From a command prompt.

On computers running Windows XP Professional or Windows 2000, you can log on to your computer with user rights and perform routine tasks, but use the Run As command to open console files and perform administrative tasks that require Administrator rights. You can use this command by typing runas at the command prompt or by right-clicking an .msc file, and then clicking Run As.

For more information about opening consoles, see To open a saved MMC console for a local computer, To open a saved MMC console for a remote computer, and To open MMC.


Administering MMC

This section covers:

  • Managing MMC from the command line


Managing MMC from the command line

Limited use of MMC via the command line is possible. However, MMC operates principally from the graphical user interface (GUI) thus is the preferred mode of use. Command line options include opening MMC, opening specific consoles, opening MMC in author mode, and specifying whether a 32-bit or a 64-bit version of MMC is opened. For detailed information, see MMC Command Line Options.


Resources

For more information about MMC, try the following resources:

  • The Personal Support Center Web site at the Microsoft Web site (http://www.microsoft.com/) contains general support information and articles written by support professionals at Microsoft.
  • The Windows Web site at the Microsoft Web site (http://www.microsoft.com/) provides a tutorial for creating and customizing MMC consoles.


Accessibility for MMC

In addition to Microsoft Windows accessibility products and services, MMC provides keyboard shortcuts for selecting commands and for navigating in and between console windows:

  • Navigation in MMC
  • MMC main window keyboard shortcuts
  • MMC console window keyboard shortcuts

Snap-ins and other items that are added to an MMC console may also provide accessibility features. For more information, refer to the Help or other documentation for the console item.


Navigation in MMC

You can move through an MMC console tree by expanding and collapsing branches as needed with the plus sign Image of plus and minus sign Image of minus icons, or by clicking and double-clicking with the mouse. The following table lists the keystrokes you can use to move in and between console windows.

Keystroke action | Result
TAB or F6 | Moves forward between panes in the active console window.
SHIFT+TAB or SHIFT+F6 | Moves backward between panes in the active console window.
CTRL+TAB or CTRL+F6 | Moves forward between console windows.
CTRL+SHIFT+TAB or CTRL+SHIFT+F6 | Moves backward between console windows.
PLUS SIGN (+) on the numeric keypad | Expands the selected item.
MINUS SIGN (-) on the numeric keypad | Collapses the selected item.
Asterisk (*) on the numeric keypad | Expands the entire console tree below the root item in the active console window.
UP ARROW | Moves the selection up one item in a pane.
DOWN ARROW | Moves the selection down one item in a pane.
PAGE UP | Moves the selection to the top item visible in a pane.
PAGE DOWN | Moves the selection to the bottom item visible in a pane.
HOME | Moves the selection to the first item in a pane.
END | Moves the selection to the last item in a pane.
RIGHT ARROW | Expands the selected item. If the selected item does not contain hidden items, behaves like DOWN ARROW.
LEFT ARROW | Collapses the selected item. If the selected item doesn't contain exposed items, behaves like UP ARROW.
ALT+RIGHT ARROW | Moves the selection to the next item. Performs the same function as the Forward arrow on the toolbar.
ALT+LEFT ARROW | Moves the selection to the previous item. Performs the same function as the Back arrow on the toolbar.

The following table lists the mouse actions you can use to move through an MMC console tree.

Mouse action | Result
Click | Selects an item.
Double-click | Displays or hides items contained by the selected item. Displays properties for or opens an item.
Right-click | Displays the Action shortcut menu for the selected item.

Note

  • If the mouse buttons do not behave as indicated here, the right and left buttons may have been switched. The computer you are using may be configured so that the default actions obtained with the left and right mouse buttons are reversed.


MMC main window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the entire console or the main window of a console.

Action | Result
CTRL+O | Opens a saved console.
CTRL+N | Opens a new console.
CTRL+S | Saves the open console.
CTRL+M | Adds or removes a console item.
CTRL+W | Opens a new window.
F5 | Refreshes the content of all console windows.
ALT+SPACEBAR | Displays the MMC window menu.
ALT+F4 | Closes the console.
ALT+A | Displays the Action menu.
ALT+V | Displays the View menu.
ALT+F | Displays the File menu.
ALT+O | Displays the Favorites menu.

Note

  • The CTRL+W keyboard shortcut is available for consoles opened in author mode or user mode—full access. Other CTRL+ shortcuts are only available for consoles opened in author mode.


MMC console window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the active console window in a console or on the contents of a console window.

Action | Result
CTRL+P | Prints the current page or active pane.
ALT+MINUS SIGN | Displays the window menu for the active console window.
SHIFT+F10 | Displays the Action shortcut menu for the selected item.
F1 | Opens the Help topic, if any, for the selected item.
F5 | Refreshes the content of all console windows.
CTRL+F10 | Maximizes the active console window.
CTRL+F5 | Restores the active console window.
ALT+ENTER | Displays the properties dialog box, if any, for the selected item.
F2 | Renames the selected item.
CTRL+F4 | Closes the active console window. When a console has only one console window, this closes the console.


Troubleshooting

What problem are you having?

Help for a snap-in cannot be found.

Cause: You can usually access Help for MMC from the Help menu on the main toolbar, from the Help button icon on the toolbar of a console window, on the system menu of the MMC window or a console window, by right-clicking an item in the console tree or details pane, or by pressing the F1 key. However, if you add a snap-in to a console, but cannot find Help for the snap-in by using the standard methods, the snap-in may not provide a Help file to merge into the MMC Help table of contents. Instead, the snap-in may use a different method to provide Help.

Solution: Open a console in author mode that contains the snap-in, click the item in the console tree for which you want Help, and then click the Help menu. A separate command for the snap-in Help may be displayed on the Help menu above the Help Topics command. If you do not see a separate command, view the contents of the toolbars and details pane for a Help button or additional Help button icon. If you do not see a separate command, button, or icon, then no Help is available from MMC for the snap-in.

A snap-in is not listed in the Add Standalone Snap-in dialog box.

Cause: The corresponding service or software may not be installed on your computer.

Solution: You must install the component to view its snap-in.

See also: To install a program managed by an MMC snap-in.

Cause: If you are using a computer running Windows 2000 or Windows XP Professional, an administrator may have set a policy that restricts you from accessing the snap-in.

Solution: See your system administrator.

See also: Setting Group Policy in MMC

When using a console, one or more of the following occurs: the console is not behaving as expected, the console is timing out, or error messages are displayed that you have not seen before.

Cause: The console may have become damaged, or because of changes to your network, the configuration of the console may have become outdated.

Solution: Determine which snap-in is causing the problem in the console and then refer to the troubleshooting information in the documentation for that snap-in to find out how to repair or reconfigure the snap-in. To determine which snap-in is causing the problem, right-click the item in the console tree or the details pane, and then click Properties. Hold down the CTRL key and point to the labels of the tabs in the dialog box.

If you cannot directly repair or reconfigure the console, try adding another instance of the snap-in you are using to the console, configure it as needed, and then remove the old version of the snap-in.

See also: To add an item to a new MMC console for a local computer, To add an item to a new MMC console for a remote computer, Snap-ins, and To view the associated snap-in and item for a property page.


The tool that you requested is not available.

To access the tool, try the following:

Configure your computer.

To have access to certain administrative tools, you must be using one of the following:

  • A computer running Windows 2000 or Windows XP Professional that is configured to be a domain controller
  • A Client computer running Windows 2000 Server or Professional (including Windows XP Professional) that has been added to a domain and has the Windows Administration Tools Pack installed
  • A server computer running either Windows 2000 Server or Windows XP Professional that has been added to a domain and has the Windows Administration Tools Pack installed.

For more information about configuring a domain controller and installing Administration Tools Pack, see Help.

Install the necessary hardware.

Some programs are installed automatically when you install the hardware associated with them. For example, when you install a fax device, Windows installs Fax. To install new hardware, click Start, point to Settings, click Control Panel, and then double-click Add Hardware (Windows XP Professional) or Add Hardware in Windows 2000..

Install the tool.

The tool might not be installed on your computer because:

  • It is an optional component. To install optional components, click Start, point to Settings, click Control Panel, and then double-click Add or Remove Programs.
  • If your computer is on a network, your system administrator may have removed this program or set a policy that prevents you from starting it.
  • You have installed Administration Tools, but this tool is one of the optional components that you have not yet added.

You need to access an Active Directory snap-in.

You can use Remote Desktop on Windows XP to access Terminal Services on a Windows 2000 Server that has the snap-in available. For more information about using Remote Desktop and Windows 2000 Terminal Services, see:

  • To create a new connection
  • Microsoft Windows 2000 Server Documentation (http://www.microsoft.com/)

Contact your system administrator.

If your computer is on a network, your system administrator may have removed the tool.


Running 32-bit and 64-bit snap-ins in Win64

Microsoft 64-bit operating systems can run both 32-bit MMC (MMC32) and 64-bit MMC (MMC64). MMC64 cannot run 32-bit snap-ins, and MMC32 cannot run 64-bit snap-ins. This topic describes how to determine and control which version of MMC is executed in a Microsoft 64-bit operating system.

MMC can be executed with command line parameters, such as a console file name. Additionally, the following command line switches are recognized by MMC64.

  • /32
  • /64

If both of the preceding switches are specified on the command line, then the far right switch is in effect.

Start-up considerations if /32 or /64 is in effect.

If MMC64 is started with no command line parameters, or if MMC64 is started with the /64 command-line option, it executes as the MMC64 application. If MMC64 is started with the /32 command-line option, MMC32 is launched, using the same parameters initially passed to MMC64 (except the /32 command-line option), and MMC64 will terminate.

Start-up considerations if a console file is specified.

If the MMC64 command line does not contain a /32 or /64 command-line option, but the command line does contain a console file name, then MMC64 examines the console file before determining which version of MMC remains in execution. MMC64 uses the following algorithm.

  1. If all snap-ins referenced by the console file are available in 64-bit form, then MMC64 will remain as the executing version (the remaining algorithm steps are not executed). A snap-in is considered available in 64-bit form if it exists as an HKEY_CLASSES_ROOT\CLSID\snap-in clsid\InprocServer32 key in the registry, where snap-in clsid is the registered CLSID for the snap-in.
  2. If not all snap-ins referenced by the console file are available in 64-bit form but all of them are available in 32-bit form, then MMC64 starts MMC32. MMC32 executes using the console file as specified on the command line, and MMC64 terminates (the remaining algorithm steps are not executed). A snap-in is considered available in 32-bit form if it exists as a HKEY_CLASSES_ROOT\Wow6432Node\CLSID\snap-in clsid\InprocServer32 key in the registry, where snap-in clsid is the registered CLSID for the snap-in.
  3. If the number of unavailable 64-bit snap-ins is a subset of the unavailable 32-bit snap-ins, then MMC64 remains as the executing version (the remaining algorithm steps are not executed).
  4. If the number of unavailable 32-bit snap-ins is a subset of the unavailable 64-bit snap-ins, then MMC64 starts MMC32 and MMC64 closes (the remaining algorithm step is not executed).
  5. If none of the previous steps yields a conclusion, then a user interface is presented to the user, prompting the user to specify which version of MMC to run (an option to cancel is also presented to the user).

In any event where MMC64 fails to successfully start MMC32, MMC64 continues to run. After MMC32 has been successfully started by MMC64, then MMC64 closes. If an error occurs after MMC32 has successfully started, MMC64 is not notified, as it will have already been closed.


Customizing columns in saved MMC consoles

In saved MMC consoles that display columns in the details pane, you can customize how the columns and rows appear. For instance, you can reorder or hide columns. You can also reorder rows alphabetically or chronologically by clicking the column heading. In addition, with certain snap-ins, you can filter columns based on additional attributes. If this feature is enabled, drop-down list boxes that contain options for filtering are displayed beneath the column headings. For more information about customizing columns, see To reorder columns in an MMC console, To hide or display columns in an MMC console, and To filter rows in an MMC console.

You can also export the contents of columns to a text file. For more information, see To export columns in an MMC console to a text file.

If you customize the columns in a console, your settings are automatically saved from session to session.


Working with MMC console files

Microsoft Management Console (MMC) hosts tools, including snap-ins, which you can use to administer both local and remote computers. Your Windows system may already include tools that were saved as console files (with an .msc extension). These tools are available in the Administrative Tools folder in both Control Panel and the Programs menu. In addition, you can use MMC to create custom administrative tools and distribute these tools to users. On both Windows XP Professional and Windows 2000 Server, you can save these tools so that they are available in the Administrative Tools folder on the Programs menu.

  • Administering local computers

    • To add an item to a new MMC console for a local computer

    1. Click Start, click Run, type mmc, and then click OK.
    2. On the File menu, click Add/Remove Snap-in, and then click Add.
    3. Under Snap-in, double-click the item you want to add, and do one of the following:
      • Click Local computer: (the computer this console is running on), and then click Finish.
      • If a wizard appears, follow the instructions on your screen.
    4. To add another item to the console, repeat step 3.

    Notes

    • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu.
    • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in.
    • To make an item subordinate to an item in the console tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.

    To open a saved MMC console for a local computer

    • Do one of the following:
      • Click Start, point to Settings, click Control Panel, double-click Administrative Tools, and then double-click the console.
      • Click Start, point to Programs, point to Administrative Tools and then click the console.
      • Click the console on the Programs menu.
      • Open the folder where your console is located, and then double-click the console.
  • Administering remote computers

    • To add an item to a new MMC console for a remote computer

    1. Click Start, click Run, type mmc, and then click OK.
    2. On the File menu, click Add/Remove Snap-in, and then click Add.
    3. Under Snap-in, double-click the item you want to add, and do the following:
      • Click Another computer, type the name of the computer you want this snap-in to manage, and then click Finish.
      • If a wizard appears, follow the instructions on the screen.
    4. To add another item to the console, repeat step 3.

    Notes

    • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in on the remote computer.
    • If a dialog box or a wizard does not appear in step 3, you can only use the console item to administer your local computer.
    • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu.
    • To make an item subordinate to an item in the console tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.

    To open a saved MMC console for a remote computer

    • Do one of the following:
      • Click Start, point to Programs, point to Administrative Tools, and then click the console.
      • Open the folder where your console is located, and then double-click the appropriate console.
  • General procedures

    • To open MMC

    • At the command prompt, type:

      • mmc

    To install a program managed by an MMC snap-in

    1. Click Start, point to Settings, click Control Panel, and then double-click Add or Remove Programs.
    2. Follow the instructions on the screen.


Additional Help on the Internet

If you have a technical question about your Windows operating system and cannot find an answer in the product Help files or other documentation, contact the computer manufacturer that provided your software.

Microsoft Product Support Services You can also find the latest technical information about Microsoft products through online product support at the Microsoft Web site. (http://www.microsoft.com/)


Support Online

Online support and information
Online support
and information
  • Windows home page (http://www.microsoft.com/windows)
  • Get tips and practical advice about Windows (http://www.microsoft.com/windows)
  • Download updates, new features, and drivers from Windows Update (http://windowsupdate.microsoft.com)
  • Search for Windows-compatible software (http://www.microsoft.com/windows)
  • Search for Windows-compatible hardware (http://www.microsoft.com/hcl)
  • View Windows Resource Kit information (http://windows.microsoft.com/windows2000/reskit)
  • Learn more about accessibility resources (http://www.microsoft.com/enable)